<div class="ui fullscreen modal form">

  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>

  <div class="scrolling content">
    <%= form_for @book, url: admin_library_books_books_path, remote: true do |form| %>

      <%= error_message(@book) %>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Sede</strong>
          <%= form.select(:campus_id,
                          Admin::Academic::Headquarter::Headquarter.all.collect {|headquarter| [headquarter.name.titleize, headquarter.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Fila <small>(Seleccione una fila y estante donde se ubica el libro)</small></strong>
          <%= form.select(:row_id,
                          @rows.all.collect {|row| [row.shelf.name.titleize + " - " + row.name.titleize, row.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
      </div>

      <div class="ui three column stackable grid">
        <div class="column">
          <strong>Tipo</strong>
          <%= form.select(:type_id,
                          Admin::Library::Book::Type.all.collect {|type| [type.name.humanize, type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>

        <div class="column">
          <strong>Tipo de publicación</strong>
          <%= form.select(:publish_type_id,
                          Admin::Library::Book::PublishType.all.collect {|publish_type| [publish_type.name.humanize, publish_type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>

        <div class="column">
          <strong>Origen</strong>
          <%= form.select(:origin_id,
                          Admin::Library::Book::Origin.all.collect {|publish_type| [publish_type.name.humanize, publish_type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Editorial</strong>
          <%= form.select(:editorial_id,
                          Admin::Library::Editorial::Editorial.all.collect {|publish_type| [publish_type.name.humanize, publish_type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search selection dropdown'}) %>
        </div>

        <div class="column">
          <strong>Lenguaje</strong>
          <%= form.select(:language_id,
                          Admin::Config::Language.all.collect {|language| [language.name.humanize, language.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search selection dropdown'}) %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Autor principal</strong>
          <%= form.select(:main_author_id,
                          Admin::Library::Author::Author.all.collect {|main_author| ["#{main_author.author_full_name}", main_author.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Autor secundario</strong>
          <%= form.select(:secondary_author_id,
                          Admin::Library::Author::Author.all.collect {|secondary_author| [secondary_author.author_full_name, secondary_author.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search selection dropdown'}) %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Codigo DEWEY</strong>
          <%= form.select(:category_id,
                          Admin::Library::Category::Category.all.collect {|category| ["#{category.code.upcase}", category.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Numero de ejemplares</strong>
          <%= form.number_field :copies, required: true %>
        </div>
      </div>

      <div class="ui three column stackable grid">
        <div class="column">
          <strong>Titulo</strong>
          <%= form.text_field :title, required: true %>
        </div>
        <div class="column">
          <strong>Subtitulo</strong>
          <%= form.text_field :subtitle %>
        </div>
        <div class="column">
          <strong>Año de publicación</strong>
          <%= form.number_field :publish_date, required: true %>
        </div>
      </div>

      <div class="ui three column stackable grid">
        <div class="column">
          <strong>Código ISBN</strong>
          <%= form.text_field :isbn_code, required: true %>
        </div>
        <div class="column">
          <strong>Número de paginas</strong>
          <%= form.text_field :pages, required: true %>
        </div>
        <div class="column">
          <strong>Altura <small>(en cm)</small></strong>
          <%= form.text_field :height, required: true %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Descriptores</strong>
          <%= form.select(:tag_ids,
                          Admin::Library::Category::Tag.where(is_active: true).collect {|tag| [tag.name.humanize, tag.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown', multiple: true}) %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Materias</strong>
          <%= form.select(:subject_ids,
                          Admin::Academic::Subject::Subject.all.collect {|subject| [subject.full_name, subject.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid search multiple selection dropdown', multiple: true}) %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Contenido</strong>
          <%= form.rich_text_area :description %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Resumen</strong>
          <%= form.rich_text_area :resume %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Descripción física</strong>
          <%= form.rich_text_area :physic_details %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Notas</strong>
          <%= form.rich_text_area :comment %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Version digital <small>(Archivo para descargar)</small></strong>
          <%= form.file_field :file, accept: 'application/pdf' %>
        </div>
        <div class="column">
          <strong>Imagen <small>(Esta imagen se muestra en el catalogo de libros)</small></strong>
          <%= form.file_field :image, accept: 'image/*' %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>
</div>

<script>
  $('.ui.dropdown').dropdown();
</script>
